/*************************** (C) COPYRIGHT 2017 CXHY ****************************
 * 文件名  ：RS485.h
 * 描  述  ：RS485通信处理头文件  
 * 版  本  ：V1.0
 * 作  者  ：XuZhongPing
 * 日  期  ：2017/02/10
*********************************************************************************/
#ifndef __RS485_H
#define __RS485_H

#include "stdio.h"
#include "sys.h"

#define CTRL485	PCout(2)											//485模式控制引脚

extern uint8_t Address;
	  	
extern uint8_t RS485_RX_BUF[64];     					//接收缓冲,最大63个字节.末字节为换行符 
extern uint8_t RS485_TX_BUF[64];     					//发送缓冲,最大64个字节.

extern uint8_t RS485_RX_STA; 									//RS485接收状态标记
extern uint8_t RS485_CommunicationState;			//RS485通讯成功与否标志
extern uint8_t radioCom;											//广播命令
extern uint8_t responseMark;									//主机应答标志
extern uint16_t RS485_serialNumber;						//RS485通信流水号

extern uint8_t getMCU2DataStatus;							//取得MCU2的数据状态
extern uint8_t getMCU2DistanceStatus;					//取得MCU2的测距数据状态

void RS485_Init(void);
void  RS485_1(void);
void RS485_ReceiveData(uint8_t rxData);

void SendDoorCtrlCMD(void);										//向从机发送开门控制指令
void SendGetPutInMsgCMD(void);								//向从机发送请求用户投放数据
void SendReadyPutInCMD(void);			
void SendEndPutInCMD(void);				

void RS485_Task(void);


#endif

/******************** (C) COPYRIGHT 2017 CXHY *****END OF FILE*******************/
